Project Chrono: chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts Class Reference

Public Member Functions | List of all members
chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts Class Reference
Models » Vehicle models » HMMWV

## Description

Shafts-based powertrain model for the HMMWV vehicle.

`#include <HMMWV_AutomaticTransmissionShafts.h>`

Inheritance diagram for chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts:
[legend]
Collaboration diagram for chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts:
[legend]

## Public Member Functions
| HMMWV_AutomaticTransmissionShafts (const std::string &name)
virtual void | SetGearRatios (std::vector< double > &fwd, double &rev) override
| Set the transmission gear ratios (one or more forward gear ratios and a single reverse gear ratio).
virtual double | GetTransmissionBlockInertia () const override
| Set inertia of the transmission block.
virtual double | GetIngearShaftInertia () const override
| Inertias of the component ChShaft objects.
virtual double | GetMotorshaftInertia () const override
| Inertia of the motorshaft (connection to engine).
virtual double | GetDriveshaftInertia () const override
| Inertia of the driveshaft (connection to driveline).
virtual double | GetUpshiftRPM () const override
| Upshift and downshift rotation speeds (in RPM).
virtual double | GetDownshiftRPM () const override
virtual void | SetTorqueConverterCapacityFactorMap (std::shared_ptr< ChFunctionInterp > &map) override
| Set the capacity factor map.
virtual void | SetTorqeConverterTorqueRatioMap (std::shared_ptr< ChFunctionInterp > &map) override
| Set the torque ratio map.
Public Member Functions inherited from chrono::vehicle::ChAutomaticTransmissionShafts
| ChAutomaticTransmissionShafts (const std::string &name)
| Construct a shafts-based automatic transmission model.
virtual std::string | GetTemplateName () const override
| Get the name of the vehicle subsystem template.
virtual bool | HasTorqueConverter () const override
| Return true if a torque converter model is included.
virtual double | GetTorqueConverterSlippage () const override
| Return the value of slippage in the torque converter.
virtual double | GetTorqueConverterInputTorque () const override
| Return the input torque to the torque converter.
virtual double | GetTorqueConverterOutputTorque () const override
| Return the output torque from the torque converter.
virtual double | GetTorqueConverterOutputSpeed () const override
| Return the torque converter output shaft speed.
void | SetGearShiftLatency (double ml)
| Use this to define the gear shift latency, in seconds.
double | GetGearShiftLatency (double ml)
| Use this to get the gear shift latency, in seconds.
virtual double | GetOutputDriveshaftTorque () const override
| Return the transmission output torque on the driveshaft.
virtual double | GetOutputMotorshaftSpeed () const override
| Return the transmission output speed of the motorshaft.

## Member Function Documentation

## ◆ GetDownshiftRPM()

virtual double chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::GetDownshiftRPM | ( |  | ) | const
| inlineoverridevirtual

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

## ◆ GetDriveshaftInertia()

virtual double chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::GetDriveshaftInertia | ( |  | ) | const
| inlineoverridevirtual

Inertia of the driveshaft (connection to driveline).

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

## ◆ GetIngearShaftInertia()

virtual double chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::GetIngearShaftInertia | ( |  | ) | const
| inlineoverridevirtual

Inertias of the component ChShaft objects.

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

## ◆ GetMotorshaftInertia()

virtual double chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::GetMotorshaftInertia | ( |  | ) | const
| inlineoverridevirtual

Inertia of the motorshaft (connection to engine).

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

## ◆ GetTransmissionBlockInertia()

virtual double chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::GetTransmissionBlockInertia | ( |  | ) | const
| inlineoverridevirtual

Set inertia of the transmission block.

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

## ◆ GetUpshiftRPM()

virtual double chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::GetUpshiftRPM | ( |  | ) | const
| inlineoverridevirtual

Upshift and downshift rotation speeds (in RPM).

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

## ◆ SetGearRatios()

void chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::SetGearRatios | ( | std::vector< double > & | fwd,
|  | double & | rev )
| overridevirtual

Set the transmission gear ratios (one or more forward gear ratios and a single reverse gear ratio).

Implements chrono::vehicle::ChTransmission.

## ◆ SetTorqeConverterTorqueRatioMap()

void chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::SetTorqeConverterTorqueRatioMap | ( | std::shared_ptr< ChFunctionInterp > & | map | ) |
| overridevirtual

Set the torque ratio map.

Specify torque ratio as a function of the speed ratio.

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

## ◆ SetTorqueConverterCapacityFactorMap()

void chrono::vehicle::hmmwv::HMMWV_AutomaticTransmissionShafts::SetTorqueConverterCapacityFactorMap | ( | std::shared_ptr< ChFunctionInterp > & | map | ) |
| overridevirtual

Set the capacity factor map.

Specify the capacity factor as a function of the speed ratio.

Implements chrono::vehicle::ChAutomaticTransmissionShafts.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/hmmwv/powertrain/HMMWV_AutomaticTransmissionShafts.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/hmmwv/powertrain/HMMWV_AutomaticTransmissionShafts.cpp